#include <qhbox.h>
#include <qlabel.h>
#include <krestrictedline.h>

#include "network_config.hh"

class IpFrame;

class IpBlock : public KRestrictedLine
{
  Q_OBJECT;
public:

  IpBlock (IpFrame* parent, unsigned int block_number);
  void NewIpLine ();
  void Update ();

public slots:
  void changeAddress (const QString& new_number);

private:
  IpFrame* m_frame;
  unsigned int myblock;
  network_config::IP::block* block;
};


class IpFrame : public QHBox
{
  Q_OBJECT;
public:

  IpFrame (QWidget* parent);
  void SetLine (network_config::IPBaseLine* ipl);

  IpBlock* block [4];
  QLabel* dot[3];

private:
  friend class IpBlock;

  network_config::IPBaseLine* m_line;
};
