#include <kmainwindow.h>
#include <string>

class QPushButton;
class QVBox;
class QLabel;

class DeviceList;
class DeviceStatus;
class NetconfApp;
class ProfileSwitch;
class ProfileNameDialog;

class MainWindow : public KMainWindow
{
  Q_OBJECT
public:

  MainWindow (const char * name, NetconfApp* application );
  ~MainWindow ();

public slots:
  void slotNewActive ();

protected:
  void closeEvent( QCloseEvent * e );

private slots:
  void Ok ();
  void Apply ();
  void Cancel ();
  void AddProfileRequest ();
  void DeleteProfileRequest ();
  void RenameProfileRequest ();

private:
  bool CheckDuplicate (const std::string& new_name, const std::string& tolerate = "");
  void PopupSorryNoDefaultMessing ();
  NetconfApp* m_application;

  QVBox* vbox;
  DeviceList* dlist;
  DeviceStatus* dstatus;
  ProfileSwitch* pswitch;
  ProfileNameDialog* profile_name_dialog;

  QLabel* current_active;
  QPushButton* ok;
  QPushButton* apply;
  QPushButton* cancel;
};
