#include <kuniqueapplication.h>
#include <ksystemtray.h>
#include <kcmdlineargs.h>

class MainWindow;
class ProfileManager;
class DeviceManager;
class NetconfTray;

class NetconfApp : public KUniqueApplication
{
  Q_OBJECT
  friend class NetconfTray;
public:
  NetconfApp ();
  ~NetconfApp () {}
  int newInstance ();

  void ShowDialog ();

  ProfileManager* profile_manager;
  DeviceManager* device_manager;

protected:
  KCmdLineArgs *args;
private:
  NetconfTray* tray;
  MainWindow* mainwin;

private slots:
  void slotHandleQuit();
};
