#include <iostream>
#include "systeminfo.hh"
#include <fstream>

main ()
{
  std::string filename;
  int ret = Execute (filename, "ls");
  std::cout << "Return code: " << ret << std::endl;

  /*
  std::ifstream f(filename.c_str ());
  if (!f)
    std::cerr << "error opening result !" << std::endl;
  else {
    std::string line;
    while (!f.eof()) {
      std::getline(f, line, '\n');
      std::cout << line << std::endl;
    }
  }

  CleanUp (filename);

  std::cout << ExecuteSimple ("cat /proc/version") << std::endl;
  */

  EtherDevList etherdevs;
  DetectEtherDevices (etherdevs);
  for (unsigned int i=0; i < etherdevs.size(); i++) {
    std::cout << etherdevs[i].dev << " ";
    if (etherdevs[i].info != "")
      std::cout << etherdevs[i].info;
    else
      std::cout << "(unknown card)";

    if (etherdevs[i].wireless)
      std::cout << " wireless, Link quality " << WirelessLinkQuality (etherdevs[i].dev) << "%";
    std::cout << std::endl;
    std::string prof;
    if (isUp (etherdevs[i].dev, &prof))
      std::cout << "active profile: " << prof << std::endl;
  }

  SerialDevList serialdevs;
  SerialDev dev1;
  SerialDev dev2;
  dev1.dev = "/dev/tts/2";
  dev2.dev = "/dev/tts/faked";
  serialdevs.push_back (dev1);
  serialdevs.push_back (dev2);

  DetectSerialDevices (serialdevs);
  for (unsigned int i=0; i < serialdevs.size(); i++) {
    std::cout << serialdevs[i].dev;
    if (serialdevs[i].attached != "")
      std::cout << "  attached:" << serialdevs[i].attached;
    std::cout << std::endl;
  }

  //  std::cout << system ("(sleep 1 ; cat /proc/version) &") << std::endl;

}
